/**
 * Java
 *
 * Copyright 2012 IS2T. All rights reserved.
 * For demonstration purpose only.
 * IS2T PROPRIETARY. Use is subject to license terms.
 */
package com.is2t.mwt.tutorial.ex02;

import ej.microui.Listener;
import ej.microui.MicroUI;
import ej.mwt.Desktop;
import ej.mwt.MWT;
import ej.mwt.Panel;

public class Ex2 {

	public static void main(String[] args) {
		MicroUI.errorLog(true);
		MWT.RenderingContext.add(new TutorialTheme());
		Desktop desktop = new Desktop();
		Panel panel = new Panel();
		Button button = new Button("Press Me");
		button.setListener(new Listener() {
			public void performAction() {
				System.out.println("Button pressed");
			}
			public void performAction(int value) {}
			public void performAction(int value, Object object) {}
		});
		panel.setWidget(button);
		panel.show(desktop);
		desktop.show();
	}
}
