/**
 * Java
 *
 * Copyright 2012 IS2T. All rights reserved.
 * For demonstration purpose only.
 * IS2T PROPRIETARY. Use is subject to license terms.
 */
package com.is2t.mwt.tutorial.ex05;

import ej.microui.Listener;
import ej.microui.MicroUI;
import ej.mwt.Desktop;
import ej.mwt.MWT;
import ej.mwt.Panel;

public class Ex5 {

	public static void main(String[] args) {
		MicroUI.errorLog(true);
		MWT.RenderingContext.add(new TutorialTheme());
		Desktop desktop = new Desktop();
		Panel panel = new Panel();
		final ToggleButton button = new ToggleButton("Press me");
		button.setListener(new Listener() {
			public void performAction(int value) {
				boolean isOn = (value==0?false:true);
				if (isOn) {
					button.setText("Press me again to turn off");
				} else {
					button.setText("Press me");					
				}
				System.out.println("Button is " + (isOn?"on":"off"));
			}
			public void performAction() {}
			public void performAction(int value, Object object) {}
		});
		panel.setWidget(button);
		panel.show(desktop);
		desktop.show();
	}
}
