/**
 * Java
 *
 * Copyright 2012 IS2T. All rights reserved.
 * For demonstration purpose only.
 * IS2T PROPRIETARY. Use is subject to license terms.
 */
package com.is2t.mwt.tutorial.ex07;

import ej.microui.Listener;
import ej.microui.MicroUI;
import ej.mwt.Composite;
import ej.mwt.Desktop;
import ej.mwt.MWT;
import ej.mwt.Panel;

public class Ex7 {

	public static void main(String[] args) {
		MicroUI.errorLog(true);
		MWT.RenderingContext.add(new TutorialTheme());
		Desktop desktop = new Desktop();
		Panel panel = new Panel();
		Composite composite = new HorizontalStack();
		for (int i = 0; i < 5; i++) {
			final int buttonNumber = i;
			Button button = new Button("Button " + buttonNumber);
			button.setListener(new Listener() {
				public void performAction() {
					System.out.println("Button " + buttonNumber + " pressed");
				}
				public void performAction(int value) {}
				public void performAction(int value, Object object) {}
			});
			composite.add(button);
		}
		panel.setWidget(composite);
		panel.show(desktop);
		desktop.show();
	}
}
