/**
 * Java
 *
 * Copyright 2012 IS2T. All rights reserved.
 * For demonstration purpose only.
 * IS2T PROPRIETARY. Use is subject to license terms.
 */
package com.is2t.mwt.tutorial.ex12;


import ej.mwt.rendering.Look;
import ej.mwt.rendering.Theme;

public class TutorialTheme extends Theme {

	public Look getDefaultLook() {
		return new TutorialLook();
	}

	public String getName() {
		return "Tutorial theme";
	}

	public boolean isStandard() {
		return true;
	}

	protected void populate() {
		add(new DesktopRenderer());
		add(new ScaleRenderer());
		add(new LabelRenderer());
	}

}
