/**
 * Java
 *
 * Copyright 2012 IS2T. All rights reserved.
 * For demonstration purpose only.
 * IS2T PROPRIETARY. Use is subject to license terms.
 */
package com.is2t.mwt.tutorial.ex04;

import ej.bon.Timer;
import ej.bon.TimerTask;
import ej.microui.Listener;
import ej.microui.MicroUI;
import ej.mwt.Desktop;
import ej.mwt.MWT;
import ej.mwt.Panel;

public class Ex4 {

	public static void main(String[] args) {
		MicroUI.errorLog(true);
		MWT.RenderingContext.add(new TutorialTheme());
		Desktop desktop = new Desktop();
		Panel panel = new Panel();
		final ToggleButton button = new ToggleButton("Press Me");
		button.setListener(new Listener() {
			public void performAction(int value) {
				System.out.println("Button is " + (value==0?"off":"on"));
			}
			public void performAction() {}
			public void performAction(int value, Object object) {}
		});
		panel.setWidget(button);
		panel.show(desktop);
		desktop.show();
		TimerTask task = new TimerTask() {
			public void run() {
				button.setOn(!button.isOn());
			}
		};
		new Timer().schedule(task , 3000, 3000);
	}
}
