/**
 * Java
 *
 * Copyright 2012 IS2T. All rights reserved.
 * For demonstration purpose only.
 * IS2T PROPRIETARY. Use is subject to license terms.
 */
package com.is2t.mwt.tutorial.ex09;

import ej.microui.Colors;
import ej.microui.io.GraphicsContext;
import ej.mwt.Desktop;
import ej.mwt.Renderable;
import ej.mwt.rendering.Renderer;

public class DesktopRenderer extends Renderer {
	
	public Class getManagedType() {
		return Desktop.class;
	}

	public void render(GraphicsContext g, Renderable renderable) {
		int width = renderable.getWidth();
		int height = renderable.getHeight();
		g.setColor(Colors.BLACK);
		g.fillRect(0, 0, width, height);
	}

}
