/**
 * Java
 *
 * Copyright 2012 IS2T. All rights reserved.
 * For demonstration purpose only.
 * IS2T PROPRIETARY. Use is subject to license terms.
 */
package com.is2t.mwt.tutorial.ex13;

import ej.microui.Listener;
import ej.microui.MicroUI;
import ej.mwt.Desktop;
import ej.mwt.MWT;
import ej.mwt.Panel;

public class Ex13 {

	public static void main(String[] args) {
		MicroUI.errorLog(true);
		MWT.RenderingContext.add(new TutorialTheme());
		Desktop desktop = new Desktop();
		Panel panel = new Panel();
		Scale scale1 = new Scale(0, 100, ScaleRenderer.STYLE);
		scale1.setListener(new Listener() {
			public void performAction(int value) {
				System.out.println("Value(1) is now " + value);
			}
			public void performAction() {}
			public void performAction(int value, Object object) {}
		});
		Scale scale2 = new Scale(0, 100, HangingBoxRenderer.STYLE);
		scale2.setListener(new Listener() {
			public void performAction(int value) {
				System.out.println("Value(2) is now " + value);
			}
			public void performAction() {}
			public void performAction(int value, Object object) {}
		});
		HorizontalStack composite = new HorizontalStack();
		composite.add(scale1);
		composite.add(scale2);
		panel.setWidget(composite);
		panel.show(desktop);
		desktop.show();
	}
}
