/**
 * Java
 *
 * Copyright 2012 IS2T. All rights reserved.
 * For demonstration purpose only.
 * IS2T PROPRIETARY. Use is subject to license terms.
 */
package com.is2t.mwt.tutorial.ex14;

import ej.microui.Listener;
import ej.microui.MicroUI;
import ej.mwt.Desktop;
import ej.mwt.Dialog;
import ej.mwt.MWT;
import ej.mwt.Panel;

public class Ex14 {

	public static void main(String[] args) {
		MicroUI.errorLog(true);
		MWT.RenderingContext.add(new TutorialTheme());
		final Desktop desktop = new Desktop();
		Panel panel1 = new Panel(0, 0, desktop.getWidth()/3*2, desktop.getHeight()/3*2)
			{public void becameActive() {repaint();}
			public void becameInactive() {repaint();}}
		;
		Panel panel2 = new Panel(20, 20, desktop.getWidth()/3*2, desktop.getHeight()/3*2)
			{public void becameActive() {repaint();}
			public void becameInactive() {repaint();}}
		;
		final Panel popUp = new Dialog();
		Button panel1button = new Button("Show pop up");
		panel1button.setListener(new Listener() {
			public void performAction() {
				popUp.show(desktop);
			}
			public void performAction(int value, Object object) {}
			public void performAction(int value) {}
		});
		Button panel2button = new Button("Panel 2");
		Button popUpDismiss = new Button("OK");
		popUpDismiss.setListener(new Listener() {
			public void performAction() {
				popUp.hide();
			}
			public void performAction(int value, Object object) {}
			public void performAction(int value) {}
		});
		panel1.setWidget(panel1button);
		panel2.setWidget(panel2button);
		popUp.setWidget(popUpDismiss);
		popUp.validate();
		int width = popUp.getPreferredWidth();
		int height = popUp.getPreferredHeight();
		popUp.setBounds((desktop.getWidth()-width)/2, (desktop.getHeight()-height)/2, width, height);
		panel1.show(desktop);
		panel2.show(desktop);
		desktop.show();
	}
}
