/**
 * Java
 *
 * Copyright 2012 IS2T. All rights reserved.
 * For demonstration purpose only
 * IS2T PROPRIETARY. Use is subject to license terms.
 */
package com.is2t.mwt.tutorial.ex16;

import ej.microui.Listener;


public class Ex16a {

	public static void main(String[] args) {
		SpringSimulation springSim = new SpringSimulation();
		springSim.setPosition(150);
		SpringSimulationRunner runner = SpringSimulationRunner.getInstance();
		runner.add(springSim);

		springSim.addListener(new Listener() {
			public void performAction(int value) {
				System.out.println("Spring position = " + value);
			}
			public void performAction(int value, Object object) {}
			public void performAction() {}
		});
		
		runner.performAction(1); // start simulation
	}
}
